import type { ReactNode, CSSProperties } from 'react';
import { Component } from 'react';
import type { RichContentTheme } from '../types';
interface Props {
    children: ReactNode;
    placeholderStyle?: CSSProperties;
    placeholderClass?: string;
    containerStyle?: CSSProperties;
    containerClass?: string;
    alwaysRenderChildren?: boolean;
    theme: RichContentTheme;
}
declare class ViewportRenderer extends Component<Props> {
    styles: Record<string, string>;
    static defaultProps: {
        placeholderStyle: {};
        containerStyle: {};
        alwaysRenderChildren: boolean;
        placeholderClass: string;
        containerClass: string;
    };
    render(): {} | null | undefined;
}
export default ViewportRenderer;
//# sourceMappingURL=ViewportRenderer.d.ts.map